#
# spec file for package python-vcs
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
%define skip_python3 1

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-vcs
Version:        0.4.0
Release:        bp153.1.13
Summary:        Various Version Control System management abstraction layer for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/codeinn/vcs
Source:         https://files.pythonhosted.org/packages/source/v/vcs/vcs-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/codeinn/vcs/master/LICENSE
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Test requirements:
#BuildRequires:  python-mock
#BuildRequires:  python-Pygments
#BuildRequires:  python-nose
#BuildRequires:  python-unittest2
#BuildRequires:  python-dulwich
#BuildRequires:  git-core
Requires:       git-core
Requires:       python-dulwich
BuildArch:      noarch
%python_subpackages

%description
Vcs is an abstraction layer over various version control systems. It is
designed as feature-rich Python library with clean API.

%prep
%setup -q -n vcs-%{version}
cp %{SOURCE99} .

%build
%python_build

%install
%python_install
%python_expand rm -rf %{buildroot}%{$python_sitelib}/vcs/.ropeproject
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# Tests require network access, thus disabled:
#%%check
#nosetests

%files %{python_files}
%license LICENSE
%doc README.rst
%{_bindir}/vcs
%{python_sitelib}/*

%changelog
* Thu Jan 24 2019 Matěj Cepl <mcepl@suse.com>
- Remove mercurial BR
* Wed Oct 24 2018 Tomáš Chvátal <tchvatal@suse.com>
- Install license
- Do not generate docs, fail with newer sphinx as the package is
  from 2013 there is low chance of this getting fixed
* Wed Jun  6 2018 mcepl@suse.com
- Clean SPEC file
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Mon Jul 20 2015 bwiedemann@suse.com
- only require git-core to not pull in git-web and gitk
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 0.4.0
  + No changelog available
- Add python-Sphinx BuildRequires and build documentation from source
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Dec 18 2012 saschpe@suse.de
- Update to version 0.2.2:
  + Upstream provides no changelog, but you can check
    https://github.com/codeinn/vcs/compare/v0.2.0...v0.2.2
- Spec file cleanup
* Thu Mar 17 2011 saschpe@suse.de
- Update to version 0.2.0:
  + Unicode fixes
  + PEP-8 conformance
* Fri Feb 25 2011 saschpe@suse.de
- Update to version 0.1.11:
  + Upstream provides no changelog, but you can check
    https://github.com/codeinn/vcs/compare/v0.1.10...v0.1.11
- Remove pyc files and vcs.egg-info dir precompiled for Python-2.6
* Tue Jan 25 2011 saschpe@gmx.de
- Initial version (0.1.10)
